<div class="row align-items-center pb-4">
  <div class="col-md-1 col-lg-1 ">
    <div class="title color-white">Details</div>
  </div>

  <div class="col-md-1 col-lg-1 offset-md-10 offset-lg-10 ">
    <button mat-button color="primary" style="height: 40%;font-size: 18px" [ngClass]="{'button-active': isEditable}"
            (click)="editData()">
      <ng-container *ngIf="isEditable; else editButton">
        Cancel
      </ng-container>
      <ng-template #editButton>
        Edit
      </ng-template>
    </button>
  </div>
</div>

<div class="row">
  <div class="col-md-3 property-column">
    <div class="row">
      <div class="col label">
        Login
      </div>
    </div>
    <div class="row">
      <div class="col data">
        {{profile.username}}
      </div>
    </div>
  </div>

  <div class="col-md-3 property-column" [ngClass]="{'edit-blur': isEditable}">
    <div class="row">
      <div class="col label">
        Password
      </div>
    </div>
    <div class="row">
      <div class="col data">
        **********
      </div>
    </div>
  </div>

  <div class="col-md-3 property-column" [ngClass]="{'edit-blur': isEditable}">
    <div class="row">
      <div class="col label">
        Name
      </div>
    </div>
    <div class="row">
      <div class="col data">
        {{profile.name}}
      </div>
    </div>
  </div>

  <div class="col-md-3 property-column" [ngClass]="{'edit-blur': isEditable}">
    <div class="row">
      <div class="col label">
        Last Name
      </div>
    </div>
    <div class="row">
      <div class="col data">
        {{profile.lastName}}
      </div>
    </div>
  </div>

  <div class="col-md-3 property-column" [ngClass]="{'edit-blur': isEditable}">
    <div class="row">
      <div class="col" [ngClass]="{'not-validated':!profile.gender, 'label':profile.gender}">
        Gender
      </div>
    </div>
    <div class="row">
      <div class="col data">
        {{profile.gender | empty}}
      </div>
    </div>
  </div>


  <div class="col-md-3 property-column" [ngClass]="{'edit-blur': isEditable}">
    <div class="row">
      <div class="col label">
        Account status
      </div>
    </div>
    <div class="row">
      <div class="col data">
        <div *ngIf="profile.enabled">
          ON
        </div>
        <div *ngIf="profile.enabled==false">
          OFF
        </div>

      </div>
    </div>
  </div>


  <div class="col-md-3 property-column">
    <div class="row">
      <div class="col label">
        Points
      </div>
    </div>
    <div class="row">
      <div class="col data">
        {{profile.points}}
      </div>
    </div>
  </div>

<!--  <div class="col-md-3 property-column">-->
<!--    <div class="row">-->
<!--      <div class="col label">-->
<!--        Exists from-->
<!--      </div>-->
<!--    </div>-->
<!--    <div class="row">-->
<!--      <div class="col data">-->
<!--        {{profile.createdDate |date}}-->
<!--      </div>-->
<!--    </div>-->
<!--  </div>-->

<!--  <div class="col-md-3 property-column">-->
<!--    <div class="row">-->
<!--      <div class="col label">-->
<!--        Last login-->
<!--      </div>-->
<!--    </div>-->
<!--    <div class="row">-->
<!--      <div class="col data">-->
<!--        {{profile.loginsHistory[profile.loginsHistory.length - 2] | date: 'medium'}}-->
<!--      </div>-->
<!--    </div>-->
<!--  </div>-->

</div>


<ng-container *ngIf="isEditable">
  <div class="edit-form">
    <form [formGroup]="formMerge" (ngSubmit)="mergeUser()">
      <mat-form-field appearance="legacy" class="mat-form-field-flex">
        <mat-label>Name</mat-label>
        <input matInput placeholder="Name" formControlName="name">
      </mat-form-field>

      <mat-form-field appearance="legacy" class="mat-form-field-flex">
        <mat-label>Last Name</mat-label>
        <input matInput placeholder="Last Name" formControlName="lastName">
      </mat-form-field>

      <mat-form-field appearance="legacy" class="mat-form-field-flex">
        <mat-label>Gender</mat-label>
        <mat-select formControlName="gender">
          <mat-option value="MALE">MALE</mat-option>
          <mat-option value="FEMALE">FEMALE</mat-option>
        </mat-select>
      </mat-form-field>

      <div class="mat-form-field-flex pb-4">
        <mat-label class="pr-3">Account status:</mat-label>
        <input type="checkbox" placeholder="Last Name" formControlName="enabled">
      </div>

      <div class="mat-form-field-flex pb-4">
        <button type="button" mat-button color="primary" style="height: 40%;font-size: 18px" (click)="changePassword()">
          Change password
        </button>
      </div>

      <ng-container *ngIf="isPasswordChange">
        <mat-form-field appearance="legacy" class="mat-form-field-flex">
          <mat-label>Password</mat-label>
          <input matInput placeholder="Password" type="password" formControlName="password">
        </mat-form-field>

        <error-form [control]="'password'" [allMessages]="validationMessages" [form]="formMerge"></error-form>


        <mat-form-field appearance="legacy" class="mat-form-field-flex">
          <mat-label>Repeat password</mat-label>
          <input matInput placeholder="Repeat your password" type="password" formControlName="repeatPassword">
        </mat-form-field>

        <error-form [control]="'repeatPassword'" [form]="formMerge" [allMessages]="validationMessages"></error-form>
      </ng-container>


      <button class="mat-flat-button save-button" mat-flat-button type="submit" color="primary">Save</button>

    </form>
  </div>
</ng-container>
